- name: system setup | clock | install systemd-timesyncd (ubuntu)
  tags: ntp,system setup
  package:
    name: systemd-timesyncd
    state: latest
  when: ansible_distribution in ["Pop!_OS", "Ubuntu", "Linux Mint"]

- name: system setup | clock | install systemd-timesyncd (debian)
  tags: ntp, system setup
  apt:
    name: systemd-timesyncd
    state: latest
  when: ansible_distribution == "Debian"

- name: system setup | clock | start and enable systemd-timestampd
  tags: ntp,system setup
  service:
    name: systemd-timesyncd
    state: started
    enabled: true

- name: system setup | clock | set time zone
  tags: tnp,timezone,system setup
  timezone:
    name: "Europe/Berlin"
